Index: contrib/crossrpms/rtems4.8/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/arm/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/arm/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/bfin/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/h8300/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/i386/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/i386/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/m68k/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/mips/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/mips/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sh/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/sh/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/gcc-sources.add	(revision fc19fcbd6969001b843b5e58370f2f7a52b89c87)
+++ contrib/crossrpms/rtems4.8/sparc/gcc-sources.add	(revision 4cf3275ac06c7cc5ef595f72fea71f202af70748)
@@ -10,4 +10,8 @@
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:		gcc-core-4.2.3-rtems4.8-20080508.diff
+%endif
+%if "%{gcc_version}" == "4.2.4"
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.4-rtems4.8-20080526.diff
 %endif
 %{?_without_sources:NoSource:	0}
